mysqli::$client_version
mysqli::commit
mysqli
PHP Manual

# mysqli::close

# mysqli_close

(PHP 5)

mysqli::close -- mysqli_close — Closes a previously opened database connection

### Description

Object oriented style

bool mysqli::close ( void )

Procedural style

bool mysqli_close ( mysqli `$link` )

Closes a previously opened database connection.

Open non-persistent MySQL connections and result sets are automatically destroyed when a PHP script finishes its execution. So, while explicitly closing open connections and freeing result sets is optional, doing so is recommended. This will immediately return resources to PHP and MySQL, which can improve performance. For related information, see freeing resources

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

See mysqli_connect().

### Notes

> Note:

> mysqli_close() will not close persistent connections. For additional details, see the manual page on persistent connections.

### See Also

- mysqli::__construct() - Open a new connection to the MySQL server
- mysqli_init() - Initializes MySQLi and returns a resource for use with mysqli_real_connect()
- mysqli_real_connect() - Opens a connection to a mysql server
- mysqli_free_result() - Frees the memory associated with a result

mysqli::$client_version
mysqli::commit
mysqli
PHP Manual